# Arch Linux
Infamous for being hard to install, not that hard if you know how to
read instructions from the [ArchWiki](https://wiki.archlinux.org/) (it
even has a guided installer now, although not very complete compared
to others). Said ArchWiki will become your Bible if you want to become
a Linux poweruser, regardless of your distribution although not
everything might be applicable if it is not Arch-derived. However, I
will never recommend it to any Linux newcomer, you need to somewhat
know what you are doing if you want to properly use it (or if you want
to learn with it, be ready to accidentally bork your system).

Its main strengths, on top of the ArchWiki, are the
[AUR](https://aur.archlinux.org/) (an additional user-powered package
repository on top of the official ones), powered by the ease of
creation of Arch packages with [PKGBUILD
files](https://wiki.archlinux.org/title/PKGBUILD) (See? The
ArchWiki!), and its initial minimalism. It can become whatever you
want, really. But don’t expect a GUI to be there on a fresh install,
you’ll have to add it yourself.

Also, unlike some popular belief, ArchLinux is quite stable as long as
you follow some proper etiquette when maintaining your system. I had
way more Debian-based distros getting borked during an upgrade than
with ArchLinux (especially with Ubuntu). In fact, even most of my
servers run on Arch and only one runs on Debian. And `pacman` is
better and faster than `apt`, fight me.

ArchLinux uses [`pacman`](https://wiki.archlinux.org/title/Pacman) as
its package manager.

* [Homepage](https://archlinux.org/)
* [Download](https://archlinux.org/download/)

For advanced users, I’d also recommend taking a look at [this
project](https://git.harting.dev/anonfunc/ALHP.GO). The `x86-64-v3`
repositories aim at bringing to Arch packages compiled with CPU
instructions found in most modern CPU, unlike the ones found in the
regular repositories which aim to be as compatible as possible with
`x86-64` CPUs. Packages from these new repositories can perform a bit
better, and I have yet to encounter any significant bug. Be aware any
package that is not compiled (like most Python scripts for instance)
cannot be found in these as they cannot be compiled (like all packages
flaged with the `any` architecture); therefore they are not included
but can still be found in the regular `core`, `community`, and `extra`
repositories.
