# Learn Linux
## Learn Bash
The first step towards becoming a Linux poweruser is to learn to get
around with the command line. While you might not use Bash itself (you
might have Zsh preinstalled instead), most of the things you will have
to learn are pretty standard across most shells (those that follow the
POSIX standard). Fun fact, if you know your way around a POSIX shell,
being in a macOS or a UNIX shell won’t feel that foreign since the
POSIX standard tries to be as compatible as possible with the UNIX
standard (and yes, macOS *is* a UNIX-certified OS).

Finding tutorials on Bash is pretty easy, however there are some
tutorials I’d recommend:
* [Learn Shell](https://www.learnshell.org/) (learn to use the command
  line, that’s pretty important)
* [Bash Guide for
  Beginners](https://tldp.org/LDP/Bash-Beginners-Guide/Bash-Beginners-Guide.pdf)
  (PDF file)
* [Learn X in Y minutes Where X=bash](https://learnxinyminutes.com/docs/bash/)
* [Bash Scripting Tutorial for Beginners](https://linuxconfig.org/bash-scripting-tutorial-for-beginners)
* [Learn Bash Scripting](https://www.codecademy.com/learn/bash-scripting)

## Learn Linux, Prepare to be a System Administrator
Yes, that’s a big step, but that’s the path to become a poweruser.
While you might not want to become a sysadmin professionally, I don’t
think it hurts to learn even more about Linux.
* [The System Administrator’s Guide to Bash Scripting](https://learn.acloud.guru/course/admin-guide-to-bash-scripting/overview)
* [Linux Foundation Certified System Administrator (LFCS)](https://learn.acloud.guru/course/f9945b67-499d-4e79-80bd-580074fbecdd/overview)

And pretty much any course on this website. They have five ranks of
difficulty in their courses:
* Novice
* Apprentice
* Practitioner
* Professional
* Guru (kinda hidden)
